%define module	sympy
%define name	python-%{module}
%define version	0.6.5
%define release	%mkrel 1

Summary:	Python library for symbolic mathematics
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://sympy.googlecode.com/files/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://sympy.googlecode.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	python-numpy
Suggests:	python-gmpy >= 1.03, python-pyglet
BuildArch:	noarch
%py_requires -d

%description
SymPy is a Python library for symbolic mathematics. It aims to become
a full-featured computer algebra system (CAS) while keeping the code
as simple as possible in order to be comprehensible and easily
extensible. SymPy is written entirely in Python and does not require
any external libraries, except optionally for plotting support.

%prep
%setup -q -n %{module}-%{version}

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST
%__sed -ie 's/isympy\.1/isympy\.1\.lzma/' FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc README LICENSE TODO examples/



%changelog
* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 397068
- update to new version 0.6.5

* Sun Apr 05 2009 Lev Givon <lev@mandriva.org> 0.6.4-1mdv2009.1
+ Revision: 364174
- Update to 0.6.4.

* Thu Nov 20 2008 Lev Givon <lev@mandriva.org> 0.6.3-1mdv2009.1
+ Revision: 305300
- Update to 0.6.3.

* Sun Aug 24 2008 Lev Givon <lev@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 275521
- Update to 0.6.2.

* Wed Jul 23 2008 Lev Givon <lev@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 243813
- Update to 0.6.1.

* Fri Jul 11 2008 Lev Givon <lev@mandriva.org> 0.6.0-1mdv2009.0
+ Revision: 233907
- Update to 0.6.0.

* Sun May 25 2008 Lev Givon <lev@mandriva.org> 0.5.15-1mdv2009.0
+ Revision: 211252
- Update to 0.5.15.
- Update to 0.5.14.

* Fri Mar 07 2008 Lev Givon <lev@mandriva.org> 0.5.13-1mdv2008.1
+ Revision: 181392
- Update to 0.5.13.

* Mon Jan 28 2008 Lev Givon <lev@mandriva.org> 0.5.12-1mdv2008.1
+ Revision: 159158
- Update to 0.5.12.

* Wed Jan 09 2008 Lev Givon <lev@mandriva.org> 0.5.11-1mdv2008.1
+ Revision: 147008
- Update to 0.5.11.

* Mon Dec 24 2007 Lev Givon <lev@mandriva.org> 0.5.9-1mdv2008.1
+ Revision: 137572
- Update to 0.5.9.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Lev Givon <lev@mandriva.org> 0.5.8-1mdv2008.1
+ Revision: 116294
- Update to 0.5.8.

* Sun Nov 18 2007 Lev Givon <lev@mandriva.org> 0.5.7-1mdv2008.1
+ Revision: 109762
- Update to 0.5.7.

* Wed Nov 07 2007 Lev Givon <lev@mandriva.org> 0.5.6-1mdv2008.1
+ Revision: 106758
- import python-sympy


* Sun Nov 4 2007 Lev Givon <lev@mandriva.org> 0.5.6-1mdv2008.0
- Package for Mandriva.
